<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="note"
            type="com.stolbunov.roman.domain.entities.Note" />
    </data>

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="3dp"
        app:cardElevation="8dp">

        <LinearLayout
            android:id="@+id/item_container"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <FrameLayout
                android:layout_width="60dp"
                android:layout_height="match_parent"
                android:background="@color/colorBackgroundItemInvalid">

                <com.stolbunov.roman.notes.ui.widgets.WidgetPriorityIndicator
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    app:center_color="@android:color/white"
                    app:priority="@{note.priority}"
                    app:validity="@{note.validity}" />
            </FrameLayout>

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginStart="4dp"
                android:layout_marginEnd="4dp"
                android:layout_weight="1"
                android:orientation="vertical">

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/rv_note_title"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:maxLines="1"
                    android:text="@{note.title}"
                    android:textAppearance="@style/TextAppearance.MaterialComponents.Headline6"
                    tools:text="Note Title" />

                <androidx.appcompat.widget.AppCompatTextView
                    android:id="@+id/rv_note_description"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:maxLines="2"
                    android:text="@{note.description}"
                    android:textAppearance="@style/TextAppearance.MaterialComponents.Subtitle1"
                    tools:text="Description of the note" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@android:color/black"
                        android:textSize="12sp"
                        app:date="@{note.expirationDate}"
                        app:detailsForDate="@{@string/end_time_s}"
                        tools:text="End time: 25.01.2019 22:00" />

                    <androidx.appcompat.widget.AppCompatTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:textColor="@android:color/black"
                        android:textSize="12sp"
                        app:date="@{note.creationDate}"
                        app:detailsForDate="@{@string/last_change_s}"
                        tools:text="Time change: 25.01.2019 22:10" />
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>
    </androidx.cardview.widget.CardView>
</layout>